# Class ComponentEvents

## Index

### Methods

- on
- onComponentOptions
- onQueryState
- onRootElement
- one
- oneQueryState
- oneRootElement
- trigger

### Constructors

- constructor

## Methods

### on

- on(el: HTMLElement | Window | Document, event: string, handler: Function): any

- - Defined in ui/Base/Component.ts :95

  #### Parameters

  - ##### el: HTMLElement | Window | Document

  - ##### event: string

  - ##### handler: Function

  #### Returns any

### onComponentOptions

- onComponentOptions<T>(eventType: string, attribute?: string, handler?: function): void

- - Defined in ui/Base/Component.ts :162

  #### Type parameters

  - #### T

  #### Parameters

  - ##### eventType: string

  - ##### Optional attribute: string

  - ##### Optional handler: function

    - - (args: T): any

      - #### Parameters

        - ##### args: T

        #### Returns any

  #### Returns void

### onQueryState

- onQueryState<T>(eventType: string, attribute?: string, handler?: function): void

- - Defined in ui/Base/Component.ts :151

  #### Type parameters

  - #### T

  #### Parameters

  - ##### eventType: string

  - ##### Optional attribute: string

  - ##### Optional handler: function

    - - (args: T): any

      - #### Parameters

        - ##### args: T

        #### Returns any

  #### Returns void

### onRootElement

- onRootElement<T>(event: string, handler: function): void

- - Defined in ui/Base/Component.ts :129

  #### Type parameters

  - #### T

  #### Parameters

  - ##### event: string

  - ##### handler: function

    - - (args: T): any

      - #### Parameters

        - ##### args: T

        #### Returns any

  #### Returns void

### one

- one(el: HTMLElement, event: string, handler: Function): any

- - Defined in ui/Base/Component.ts :113

  #### Parameters

  - ##### el: HTMLElement

  - ##### event: string

  - ##### handler: Function

  #### Returns any

### oneQueryState

- oneQueryState<T>(eventType: string, attribute?: string, handler?: function): void

- - Defined in ui/Base/Component.ts :174

  #### Type parameters

  - #### T

  #### Parameters

  - ##### eventType: string

  - ##### Optional attribute: string

  - ##### Optional handler: function

    - - (args: T): any

      - #### Parameters

        - ##### args: T

        #### Returns any

  #### Returns void

### oneRootElement

- oneRootElement<T>(event: string, handler: function): void

- - Defined in ui/Base/Component.ts :140

  #### Type parameters

  - #### T

  #### Parameters

  - ##### event: string

  - ##### handler: function

    - - (args: T): any

      - #### Parameters

        - ##### args: T

        #### Returns any

  #### Returns void

### trigger

- trigger(el: HTMLElement, event: string, args?: Object): any

- - Defined in ui/Base/Component.ts :184

  #### Parameters

  - ##### el: HTMLElement

  - ##### event: string

  - ##### Optional args: Object

  #### Returns any

## Constructors

### constructor

- new ComponentEvents(owner: Component): ComponentEvents

- - Defined in ui/Base/Component.ts :77

  #### Parameters

  - ##### owner: Component

  #### Returns ComponentEvents

### Hierarchy

- ComponentEvents